<?php

#setup:
$config = array();

#hvilken template som skal brukes:
$config['template'] = 'boitho.com';

#standar sprk, bruker hvis ikke noe annet er valgt
$config['default_language'] = 'NBO';

#brukernavn p boitho, uten dette vil du ikke f betalt for klikk
$config['username'] = 'anonymus';

#antal tref som skal vises pr side
$config['show_hits'] = 20;

#om vi skal vre i debug mode
$DEBUG = 0;

#maks lengde p urlen som skal vises
$config['maxUrlLen'] = 60;
$config['maxUrlLenPpcside'] = 20;
$config['maxUrlLenPpc'] = 60;

#maks lengde p tittel
$config['maxTitleLen'] = 60;
$config['maxTitleLenPpcside'] = 20;
$config['maxTitleLenPpc'] = 60;


#amazon.com associates program
#You can use your own amazon.com associates keys to earn money with Boitho
#amazon.com's AssociateTag. Eks: boitho-20
$config['AmazonAssociateTag'] = '';
#amazon.com's SubscriptionId. Eks: 0WG4PH85SE9114TS7JR2
$config['AmazonSubscriptionId'] = '';

#hvor er boitho servere
$config['Boitho_search_server'] = 'http://search.boitho.com/cgi-bin/dispatcher_all';
#$config['Boitho_search_server'] = 'http://bbh-001.boitho.com/cgi-bin/dispatcher_all';
$config['Boitho_vote_server'] = 'http://search.boitho.com/cgi-bin/vote.cgi';

#hva for et skal brukes som utrykk for offensive code
$config['offensive_code'] = "<font color='#FF0000'><b>offensive code</b></font>";


$config['subname'] = 'www';

#rutine for  finne hvilken template som skal pnes
function getTemplatePath($file) {
        global $config;

        return "templates/" . $config['template'] . "/" . $file;
}
#rutinf fr  last og pare sprk
function loadLanguage($language,&$search) {

        #pner og parser languages filer
        $lines = file(getTemplatePath('languages/' . $language . '.conf'), "r") or warn();

        foreach ($lines as $line_num => $line) {
                if ($line != '') {
                        list($key,$value) = explode(':',$line,2);
                        #echo "Line #<b>{$line_num}</b> : " . htmlspecialchars($line) . "<br />\n";
                        #echo "$key = $value <br>";
                        $search[$key] = $value;
                }
        }

}

?>
